For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin our Discord
HomeAdministration & GovernanceDevelopment and IntegrationAgent ForgeAPI ReferenceSDK Docs
HomeAdministration & GovernanceDevelopment and IntegrationAgent ForgeAPI ReferenceSDK Docs
  • API Reference
    • POSTResponses
    • POSTChat Completions
    • POSTCompletions
    • POSTEmbeddings
    • POSTAudio Transcription
    • POSTDocuments Extract
    • POSTRerank
    • POSTTokenize
    • POSTDetokenize
    • POSTFactuality
    • POSTInjection
    • POSTPII
    • POSTToxicity
    • GETModels
    • GETMCP Servers
    • GETMCP Tools
  • Valid Inputs
    • Enumerations for API
LogoLogo
Contact usJoin our Discord
API Reference

MCP Tools

GET
https://{your-pg.api-domain}.com/mcp_tools
GET
/mcp_tools
$curl https://{your-pg.api-domain}.com/mcp_tools \
> -H "Authorization: Bearer <token>"
1{
2 "object": "list",
3 "data": {
4 "test_mcp_server": [
5 {
6 "id": "test_mcp_tool",
7 "object": "mcp_tool",
8 "description": "A tool for testing MCP functionality",
9 "parameters": {
10 "properties": {
11 "description": {
12 "default": null,
13 "description": "Query description",
14 "type": "string"
15 },
16 "query": {
17 "description": "SOQL query to execute",
18 "type": "string"
19 }
20 },
21 "required": [
22 "query"
23 ],
24 "type": "object"
25 },
26 "created": 1730332800,
27 "owned_by": "Prediction Guard"
28 }
29 ]
30 }
31}
Return available MCP tools by server with parameters and any relevant metadata.
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful response.
objectstring

Type of object (list).

datamap from strings to lists of objects
The available mcp tools.

Errors

400
Bad Request Error
403
Forbidden Error